Overview
GET
/public/personas/{slug}/recappublicGet a public persona's weekly gamification recap (surface-gated)
Fetch a record from recap by slug.
Parameters
- slugpathstring
Responses
200
Persona weekly recap
- weekStartstring
- adventuresinteger
- newAlliesinteger
- reflexesDeltaPctnumber?
- levelsGainedinteger
Example
{
"weekStart": "string",
"adventures": 0,
"newAllies": 0,
"reflexesDeltaPct": 0,
"levelsGained": 0
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/public/personas/{slug}/recap" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/public/personas/{slug}/recap", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();